Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 631656 (gnome-3.24-stable) - GNOME 3.24 stabilization
Summary: GNOME 3.24 stabilization
Status: RESOLVED OBSOLETE
Alias: gnome-3.24-stable
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords: STABLEREQ
: 648704 (view as bug list)
Depends on: 639362 644832 599482 619298 619820 628460 630342 630930 641522 641988 644102
Blocks: 635292
  Show dependency tree
 
Reported: 2017-09-21 17:40 UTC by Mart Raudsepp
Modified: 2020-03-02 20:49 UTC (History)
6 users (show)

See Also:
Package list:
dev-libs/libgdata-0.17.9-r1 sparc
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mart Raudsepp gentoo-dev 2017-09-21 17:40:32 UTC
Initially for tracking purposes; stabilization will be requested on this bug eventually.
Comment 1 Mart Raudsepp gentoo-dev 2018-01-10 06:14:14 UTC
Lets go!
Comment 2 Stabilization helper bot gentoo-dev 2018-01-10 06:47:30 UTC
An automated check of this bug failed - repoman reported dependency errors (272 lines truncated): 

> dependency.bad media-video/pitivi/pitivi-0.98.1.ebuild: DEPEND: amd64(default/linux/amd64/17.0) ['dev-python/nose2[python_targets_python3_4(-)?,python_targets_python3_5(-)?,-python_single_target_jython2_7(-),-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_6(-),python_single_target_python3_4(+)?,python_single_target_python3_5(+)?]']
> dependency.bad media-video/pitivi/pitivi-0.98.1.ebuild: DEPEND: amd64(default/linux/amd64/17.0/desktop) ['dev-python/nose2[python_targets_python3_4(-)?,python_targets_python3_5(-)?,-python_single_target_jython2_7(-),-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_6(-),python_single_target_python3_4(+)?,python_single_target_python3_5(+)?]']
> dependency.bad media-video/pitivi/pitivi-0.98.1.ebuild: DEPEND: amd64(default/linux/amd64/17.0/desktop/gnome) ['dev-python/nose2[python_targets_python3_4(-)?,python_targets_python3_5(-)?,-python_single_target_jython2_7(-),-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_6(-),python_single_target_python3_4(+)?,python_single_target_python3_5(+)?]']
> dependency.bad x11-wm/mutter/mutter-3.24.4.ebuild: DEPEND: amd64(default/linux/amd64/17.0) ['>=virtual/libgudev-232:=']
> dependency.bad x11-wm/mutter/mutter-3.24.4.ebuild: RDEPEND: amd64(default/linux/amd64/17.0) ['>=virtual/libgudev-232:=']
> dependency.bad x11-wm/mutter/mutter-3.24.4.ebuild: DEPEND: amd64(default/linux/amd64/17.0/desktop) ['>=virtual/libgudev-232:=']
> dependency.bad media-plugins/grilo-plugins/grilo-plugins-0.3.5.ebuild: DEPEND: amd64(default/linux/amd64/17.0) ['dev-python/dbusmock[python_targets_python3_6(-),python_single_target_python3_6(+)]']
> dependency.bad media-plugins/grilo-plugins/grilo-plugins-0.3.5.ebuild: DEPEND: amd64(default/linux/amd64/17.0/desktop) ['dev-python/dbusmock[python_targets_python3_6(-),python_single_target_python3_6(+)]']
> dependency.bad media-plugins/grilo-plugins/grilo-plugins-0.3.5.ebuild: DEPEND: amd64(default/linux/amd64/17.0/desktop/gnome) ['dev-python/dbusmock[python_targets_python3_6(-),python_single_target_python3_6(+)]']
> dependency.bad gnome-base/gvfs/gvfs-1.32.1-r1.ebuild: DEPEND: amd64(default/linux/amd64/17.0) ['>=net-fs/libnfs-1.9.8']
> dependency.bad gnome-base/gvfs/gvfs-1.32.1-r1.ebuild: RDEPEND: amd64(default/linux/amd64/17.0) ['>=net-fs/libnfs-1.9.8']
> dependency.bad gnome-base/gvfs/gvfs-1.32.1-r1.ebuild: DEPEND: amd64(default/linux/amd64/17.0/desktop) ['>=net-fs/libnfs-1.9.8']
> dependency.bad gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.24.3.ebuild: DEPEND: amd64(default/linux/amd64/17.0) ['dev-python/dbusmock[python_targets_python2_7(-),python_single_target_python2_7(+)]']
> dependency.bad gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.24.3.ebuild: DEPEND: amd64(default/linux/amd64/17.0/desktop) ['dev-python/dbusmock[python_targets_python2_7(-),python_single_target_python2_7(+)]']
> dependency.bad gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.24.3.ebuild: DEPEND: amd64(default/linux/amd64/17.0/desktop/gnome) ['dev-python/dbusmock[python_targets_python2_7(-),python_single_target_python2_7(+)]']
> dependency.bad media-gfx/gnome-photos/gnome-photos-3.24.5.ebuild: DEPEND: amd64(default/linux/amd64/17.0) ['>=media-libs/gegl-0.3.14:0.3[cairo,jpeg2k,raw]']
> dependency.bad media-gfx/gnome-photos/gnome-photos-3.24.5.ebuild: RDEPEND: amd64(default/linux/amd64/17.0) ['>=media-libs/gegl-0.3.14:0.3[cairo,jpeg2k,raw]']
> dependency.bad media-gfx/gnome-photos/gnome-photos-3.24.5.ebuild: DEPEND: amd64(default/linux/amd64/17.0/desktop) ['>=media-libs/gegl-0.3.14:0.3[cairo,jpeg2k,raw]']
> dependency.bad app-accessibility/orca/orca-3.24.0.ebuild: RDEPEND: amd64(default/linux/amd64/17.0) ['>=app-accessibility/speech-dispatcher-0.8[python,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]']
> dependency.bad app-accessibility/orca/orca-3.24.0.ebuild: RDEPEND: amd64(default/linux/amd64/17.0/desktop) ['>=app-accessibility/speech-dispatcher-0.8[python,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]']
Comment 3 Stabilization helper bot gentoo-dev 2018-01-10 08:23:45 UTC
An automated check of this bug failed - repoman reported dependency errors (148 lines truncated): 

> dependency.bad gnome-base/gvfs/gvfs-1.32.1-r1.ebuild: DEPEND: amd64(default/linux/amd64/17.0) ['>=net-fs/libnfs-1.9.8']
> dependency.bad gnome-base/gvfs/gvfs-1.32.1-r1.ebuild: RDEPEND: amd64(default/linux/amd64/17.0) ['>=net-fs/libnfs-1.9.8']
> dependency.bad gnome-base/gvfs/gvfs-1.32.1-r1.ebuild: DEPEND: amd64(default/linux/amd64/17.0/desktop) ['>=net-fs/libnfs-1.9.8']
> dependency.bad media-gfx/gnome-photos/gnome-photos-3.24.5.ebuild: DEPEND: amd64(default/linux/amd64/17.0) ['>=media-libs/gegl-0.3.14:0.3[cairo,jpeg2k,raw]']
> dependency.bad media-gfx/gnome-photos/gnome-photos-3.24.5.ebuild: RDEPEND: amd64(default/linux/amd64/17.0) ['>=media-libs/gegl-0.3.14:0.3[cairo,jpeg2k,raw]']
> dependency.bad media-gfx/gnome-photos/gnome-photos-3.24.5.ebuild: DEPEND: amd64(default/linux/amd64/17.0/desktop) ['>=media-libs/gegl-0.3.14:0.3[cairo,jpeg2k,raw]']
Comment 4 Mart Raudsepp gentoo-dev 2018-01-10 14:28:20 UTC
(In reply to Stabilization helper bot from comment #3)
> An automated check of this bug failed - repoman reported dependency errors
> (148 lines truncated): 
> 
> > dependency.bad gnome-base/gvfs/gvfs-1.32.1-r1.ebuild: DEPEND: amd64(default/linux/amd64/17.0) ['>=net-fs/libnfs-1.9.8']
> > dependency.bad media-gfx/gnome-photos/gnome-photos-3.24.5.ebuild: DEPEND: amd64(default/linux/amd64/17.0) ['>=media-libs/gegl-0.3.14:0.3[cairo,jpeg2k,raw]']


I guess these need to wait for the depend bugs to receive arch CCs, afterall...
Comment 5 Stabilization helper bot gentoo-dev 2018-01-14 23:24:30 UTC
An automated check of this bug failed - repoman reported dependency errors (47 lines truncated): 

> dependency.bad gnome-base/gvfs/gvfs-1.32.1-r1.ebuild: DEPEND: ppc(default/linux/powerpc/ppc32/13.0) ['>=dev-libs/libusb-1.0.21']
> dependency.bad gnome-base/gvfs/gvfs-1.32.1-r1.ebuild: RDEPEND: ppc(default/linux/powerpc/ppc32/13.0) ['>=dev-libs/libusb-1.0.21']
> dependency.bad gnome-base/gvfs/gvfs-1.32.1-r1.ebuild: DEPEND: ppc(default/linux/powerpc/ppc32/13.0/desktop) ['>=dev-libs/libusb-1.0.21']
Comment 6 Mart Raudsepp gentoo-dev 2018-01-16 23:06:45 UTC
Moved gdk-pixbuf to only be in the security bug; removed sparc notation for what has already been done by now (partial list).
Comment 7 Mart Raudsepp gentoo-dev 2018-01-16 23:14:49 UTC
Actually removing the gdk-pixbuf bug dependency again. The previous version should be fine for everything else here, so the security fix version can just go at its own pace and no need to block the rest on it (albeit due to security bug prioritization, gdk-pixbuf would probably be done first anyways; just will show up whole gnome list in getatoms.py reports before gdk-pixbuf secbug is done in a separate sweep)
Comment 8 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2018-01-18 03:46:09 UTC
amd64 stable
Comment 9 Thomas Deutschmann gentoo-dev Security 2018-01-27 00:42:43 UTC
x86 stable
Comment 10 Stabilization helper bot gentoo-dev 2018-02-03 16:00:29 UTC
An automated check of this bug failed - the following atom is unknown:

gnome-base/gnome-session-3.24.2

Please verify the atom list.
Comment 11 Mart Raudsepp gentoo-dev 2018-02-03 23:45:28 UTC
Updating package list to what's left. Re-CCing amd64@ - you've failed to stabilize grilo-plugins and libsoup somehow.
Removing blocking of libgit2/gnome-builder stabilization, as that's amd64/x86 only and the amd64 missed stuff shouldn't block it anymore.
Comment 12 Stabilization helper bot gentoo-dev 2018-02-04 00:08:07 UTC
An automated check of this bug succeeded - the previous repoman errors are now resolved.
Comment 13 Sergei Trofimovich (RETIRED) gentoo-dev 2018-02-16 20:40:19 UTC
ia64 stable
Comment 14 Jason Zaman gentoo-dev 2018-02-19 07:52:00 UTC
amd64 stable
Comment 15 Pacho Ramos gentoo-dev 2018-02-25 15:53:39 UTC
*** Bug 648704 has been marked as a duplicate of this bug. ***
Comment 16 Mart Raudsepp gentoo-dev 2018-03-03 01:48:37 UTC
arm64 stable
Comment 17 Sergei Trofimovich (RETIRED) gentoo-dev 2018-03-04 20:49:07 UTC
ppc stable
Comment 18 Tobias Klausmann gentoo-dev 2018-03-06 21:38:26 UTC
Stable on alpha.
Comment 19 Mart Raudsepp gentoo-dev 2018-03-13 22:55:30 UTC
Updated to what's left, added hppa to virtual/libgudev, which seems to have been accidentally missing before
Comment 20 Stabilization helper bot gentoo-dev 2018-03-13 23:08:02 UTC
An automated check of this bug failed - repoman reported dependency errors: 

> dependency.bad virtual/libgudev/libgudev-232.ebuild: RDEPEND: hppa(default/linux/hppa/13.0) ['>=dev-libs/libgudev-232:0/0[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?,introspection?,static-libs?]']
> dependency.badindev virtual/libgudev/libgudev-232.ebuild: RDEPEND: hppa(default/linux/hppa/13.0/desktop) ['>=dev-libs/libgudev-232:0/0[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?,introspection?,static-libs?]']
> dependency.badindev virtual/libgudev/libgudev-232.ebuild: RDEPEND: hppa(default/linux/hppa/13.0/developer) ['>=dev-libs/libgudev-232:0/0[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?,introspection?,static-libs?]']
Comment 21 Mart Raudsepp gentoo-dev 2018-03-13 23:22:28 UTC
oh, so that's why it was missing for hppa...
Comment 22 Stabilization helper bot gentoo-dev 2018-03-14 00:06:56 UTC
An automated check of this bug succeeded - the previous repoman errors are now resolved.
Comment 23 Markus Meier gentoo-dev 2018-03-14 21:05:56 UTC
arm stable
Comment 24 Sergei Trofimovich (RETIRED) gentoo-dev 2018-03-14 21:42:23 UTC
ppc64 stable
Comment 25 Stabilization helper bot gentoo-dev 2018-04-03 20:00:43 UTC
An automated check of this bug failed - the following atom is unknown:

x11-libs/pango-1.40.14

Please verify the atom list.
Comment 26 Mart Raudsepp gentoo-dev 2018-07-02 10:25:31 UTC
Updating to what's left (mostly hppa has randomly stabled a few of the lagging things; updated vala version before "remove old")
Comment 27 Larry the Git Cow gentoo-dev 2018-07-24 07:30:57 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=70f5255ec63c3487faf62717277351b21c503d19

commit 70f5255ec63c3487faf62717277351b21c503d19
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2018-07-24 06:30:52 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2018-07-24 06:30:52 +0000

    dev-util/gdbus-codegen: stable 2.52.3 for hppa, bug #631656
    
    Bug: https://bugs.gentoo.org/631656
    Package-Manager: Portage-2.3.43, Repoman-2.3.10
    RepoMan-Options: --include-arches="hppa"

 dev-util/gdbus-codegen/gdbus-codegen-2.52.3.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6c4093c7113639378ce0ef9ae875d8bb2e201279

commit 6c4093c7113639378ce0ef9ae875d8bb2e201279
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2018-07-24 06:30:40 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2018-07-24 06:30:40 +0000

    dev-libs/libxml2: stable 2.9.7 for hppa, bug #631656
    
    Bug: https://bugs.gentoo.org/631656
    Package-Manager: Portage-2.3.43, Repoman-2.3.10
    RepoMan-Options: --include-arches="hppa"

 dev-libs/libxml2/libxml2-2.9.7.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b7aecac477797d5380b48e42d526e6109742e20d

commit b7aecac477797d5380b48e42d526e6109742e20d
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2018-07-24 06:30:31 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2018-07-24 06:30:31 +0000

    dev-libs/gobject-introspection-common: stable 1.52.1 for hppa, bug #631656
    
    Bug: https://bugs.gentoo.org/631656
    Package-Manager: Portage-2.3.43, Repoman-2.3.10
    RepoMan-Options: --include-arches="hppa"

 .../gobject-introspection-common-1.52.1.ebuild                          | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6a50954dd6ee6bed6a18a8bfbcbdbf6b267f6725

commit 6a50954dd6ee6bed6a18a8bfbcbdbf6b267f6725
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2018-07-24 06:30:22 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2018-07-24 06:30:22 +0000

    app-text/iso-codes: stable 3.76 for hppa, bug #631656
    
    Bug: https://bugs.gentoo.org/631656
    Package-Manager: Portage-2.3.43, Repoman-2.3.10
    RepoMan-Options: --include-arches="hppa"

 app-text/iso-codes/iso-codes-3.76.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 28 Stabilization helper bot gentoo-dev 2018-11-24 12:00:25 UTC
An automated check of this bug failed - the following atom is unknown:

dev-cpp/glibmm-2.52.1

Please verify the atom list.
Comment 29 Rolf Eike Beer archtester 2019-01-03 10:04:04 UTC
hppa stable
Comment 30 Sergei Trofimovich (RETIRED) gentoo-dev 2019-11-12 23:07:05 UTC
WARNING: BUG: bug=631656 BAD: no package 'gnome-base/gnome-keyring-3.20.1'
Comment 31 Sergei Trofimovich (RETIRED) gentoo-dev 2020-03-01 16:02:00 UTC
WARNING: BUG: bug=631656 BAD: no package 'dev-libs/libgdata-0.17.9-r1'
Comment 32 Sergei Trofimovich (RETIRED) gentoo-dev 2020-03-02 20:49:46 UTC
dev-libs/libgdata-0.17.11 is stable on sparc. Assuming obsolete.